Bug 1185020 - Review Request: gap-pkg-ctbllib - GAP Character Table Library
Summary: Review Request: gap-pkg-ctbllib - GAP Character Table Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1185019
Blocks: 1185021
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:29 UTC by Jerry James
Modified: 2015-02-09 05:27 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-ctbllib-1.2.2-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-09 05:27:59 UTC
Type: ---
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-01-22 17:29:54 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-ctbllib/gap-pkg-ctbllib.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-ctbllib/gap-pkg-ctbllib-1.2.2-1.fc22.src.rpm
Fedora Account System Username: jjames
Description: This is a rename review.  The original review is bug 785903.

This package provides the Character Table Library by Thomas Breuer.

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-01-30 03:17:32 UTC
%{_smp_mflags} would be nice here too.

Hm, package fails to build locally, I get a gap> prompt. Maybe there should be some redirect </dev/null ?

Also, is the license specified upstream?

Comment 2 Jerry James 2015-01-30 05:07:12 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> %{_smp_mflags} would be nice here too.

Yes, I will make that change.
 
> Hm, package fails to build locally, I get a gap> prompt. Maybe there should
> be some redirect </dev/null ?

I just built in mock, and it worked.  Are you talking about a mock build, or using rpmbuild directly?  Can you show me a build log?
 
> Also, is the license specified upstream?

It is in doc/manual.pdf, on page 2, under the Copyright declaration.

Here is the version with %{_smp_mflags}:
Spec URL: https://jjames.fedorapeople.org/gap-pkg-ctbllib/gap-pkg-ctbllib.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-ctbllib/gap-pkg-ctbllib-1.2.2-2.fc22.src.rpm

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-01-30 12:42:28 UTC
(In reply to Jerry James from comment #2)
> > Hm, package fails to build locally, I get a gap> prompt. Maybe there should
> > be some redirect </dev/null ?
> 
> I just built in mock, and it worked.  Are you talking about a mock build, or
> using rpmbuild directly?  Can you show me a build log?
$ rpmbuild --rebuild gap-pkg-ctbllib-1.2.2-2.fc22.src.rpm
Instalowanie gap-pkg-ctbllib-1.2.2-2.fc22.src.rpm
ostrzeżenie: użytkownik mockbuild nie istnieje - używanie roota
ostrzeżenie: grupa mockbuild nie istnieje - używanie roota
ostrzeżenie: użytkownik mockbuild nie istnieje - używanie roota
ostrzeżenie: grupa mockbuild nie istnieje - używanie roota
Wykonywanie(%prep): /bin/sh -e /var/tmp/rpm-tmp.C61cu5
+ umask 022
+ cd /home/zbyszek/rpmbuild/BUILD
+ cd /home/zbyszek/rpmbuild/BUILD
+ rm -rf ctbllib
+ /usr/bin/gzip -dc /home/zbyszek/rpmbuild/SOURCES/ctbllib-1r2p2.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd ctbllib
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Wykonywanie(%build): /bin/sh -e /var/tmp/rpm-tmp.8FCBKW
+ umask 022
+ cd /home/zbyszek/rpmbuild/BUILD
+ cd ctbllib
+ parallel -j12 --no-notice gzip --best ::: data/clmelab.tbl data/clmexsp.tbl data/ctbalter.tbl data/ctbatres.tbl data/ctbconja.tbl data/ctbfisc1.tbl data/ctbfisc2.tbl data/ctbline1.tbl data/ctbline2.tbl data/ctbline3.tbl data/ctbline4.tbl data/ctbline5.tbl data/ctbline6.tbl data/ctbmathi.tbl data/ctbmaxi6.tbl data/ctbmonst.tbl data/ctbnews.tbl data/ctborth1.tbl data/ctborth2.tbl data/ctborth3.tbl data/ctbspora.tbl data/ctbsymp1.tbl data/ctbtwis1.tbl data/ctbtwis2.tbl data/ctbunit1.tbl data/ctbunit2.tbl data/ctbunit3.tbl data/ctbunit4.tbl data/ctgeneri.tbl data/ctoalter.tbl data/ctoatres.tbl data/ctocliff.tbl data/ctoconja.tbl data/ctodefno.tbl data/ctoexce1.tbl data/ctofisc1.tbl data/ctofisc2.tbl data/ctoholpl.tbl data/ctoinert.tbl data/ctoline1.tbl data/ctoline2.tbl data/ctoline3.tbl data/ctoline4.tbl data/ctoline5.tbl data/ctoline6.tbl data/ctoline7.tbl data/ctoline8.tbl data/ctoline9.tbl data/ctomathi.tbl data/ctomax10.tbl data/ctomax11.tbl data/ctomax12.tbl data/ctomax13.tbl data/ctomax14.tbl data/ctomax15.tbl data/ctomax16.tbl data/ctomax17.tbl data/ctomax18.tbl data/ctomax19.tbl data/ctomax20.tbl data/ctomax21.tbl data/ctomax22.tbl data/ctomaxi1.tbl data/ctomaxi2.tbl data/ctomaxi3.tbl data/ctomaxi4.tbl data/ctomaxi5.tbl data/ctomaxi6.tbl data/ctomaxi7.tbl data/ctomaxi8.tbl data/ctomaxi9.tbl data/ctomisc1.tbl data/ctomisc2.tbl data/ctomisc3.tbl data/ctomisc4.tbl data/ctomisc6.tbl data/ctomisc7.tbl data/ctomisc8.tbl data/ctomonst.tbl data/ctonews.tbl data/ctoorth1.tbl data/ctoorth2.tbl data/ctoorth3.tbl data/ctoorth4.tbl data/ctoorth5.tbl data/ctoorth6.tbl data/ctoorth7.tbl data/ctoorth8.tbl data/ctospora.tbl data/ctosylno.tbl data/ctosymp1.tbl data/ctosymp2.tbl data/ctosymp3.tbl data/ctotwis1.tbl data/ctotwis2.tbl data/ctounit1.tbl data/ctounit2.tbl data/ctounit3.tbl data/ctounit4.tbl data/ctounit5.tbl data/ctounit6.tbl data/ctounit7.tbl data/ctprimar.tbl
+ exit 0
Wykonywanie(%install): /bin/sh -e /var/tmp/rpm-tmp.ISfhlS
+ umask 022
+ cd /home/zbyszek/rpmbuild/BUILD
+ '[' /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64 '!=' / ']'
+ rm -rf /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64
++ dirname /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64
+ mkdir -p /home/zbyszek/rpmbuild/BUILDROOT
+ mkdir /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64
+ cd ctbllib
+ mkdir -p /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64/usr/lib/gap/pkg/ctbllib
+ cp -a ../ctbllib /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64/usr/lib/gap/pkg
+ rm -fr /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64/usr/lib/gap/pkg/ctbllib/gap3 /home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64/usr/lib/gap/pkg/ctbllib/README
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id -m --run-dwz --dwz-low-mem-die-limit 10000000 --dwz-max-die-limit 110000000 /home/zbyszek/rpmbuild/BUILD/ctbllib
/usr/lib/rpm/sepdebugcrcfix: Updated 0 CRC32s, 0 CRC32s did match.
find: 'debug': No such file or directory
+ '[' noarch = noarch ']'
+ case "${QA_CHECK_RPATHS:-}" in
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Wykonywanie(%check): /bin/sh -e /var/tmp/rpm-tmp.ybEIHR
+ umask 022
+ cd /home/zbyszek/rpmbuild/BUILD
+ cd ctbllib
+ gap -l '/usr/lib/gap;/home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64/usr/lib/gap'
 *********   GAP, Version 4.7.6 of 15-Nov-2014 (free software, GPL)
 *  GAP  *   http://www.gap-system.org
 *********   Architecture: x86_64-redhat-linux-gnu-gcc-default64
 Libs used:  gmp, readline
 Loading the library and packages ...
 Components: trans 1.0, prim 2.1, small* 1.0, id* 1.0
 Packages:   AtlasRep 1.5.0, Browse 1.8.6, CTblLib 1.2.2, GAPDoc 1.5.1, 
             IO 4.3.1, SpinSym 1.5, TomLib 1.2.5
 Try '?help' for help. See also  '?copyright' and  '?authors'
gap> true
gap> + gap -l '/usr/lib/gap;/home/zbyszek/rpmbuild/BUILDROOT/gap-pkg-ctbllib-1.2.2-2.fc21.x86_64/usr/lib/gap' tst/testauto.g
 *********   GAP, Version 4.7.6 of 15-Nov-2014 (free software, GPL)
 *  GAP  *   http://www.gap-system.org
 *********   Architecture: x86_64-redhat-linux-gnu-gcc-default64
 Libs used:  gmp, readline
 Loading the library and packages ...
 Components: trans 1.0, prim 2.1, small* 1.0, id* 1.0
 Packages:   AtlasRep 1.5.0, Browse 1.8.6, CTblLib 1.2.2, GAPDoc 1.5.1, IO 4.3.1, SpinSym 1.5, 
             TomLib 1.2.5
 Try '?help' for help. See also  '?copyright' and  '?authors'
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 34:
# Input is:
AllCharacterTableNames( Size, 120 );
# Expected output:
[ "2.A5", "2.A6M2", "2xA5", "A5.2", "A6.2_1M3", "D120", "L2(25)M3" ]
# But found:
[ "2.A5", "2.A6M2", "2.Alt(5)", "2xA5", "A5.2", "A6.2_1M3", "D120", 
  "L2(25)M3", "Sym(5)" ]
########
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 137:
# Input is:
AllCharacterTableNames( IsSimple, true, IsDuplicateTable, false,
                           isambivalent, true );
# Expected output:
[ "3D4(2)", "A10", "A14", "A5", "A6", "J1", "J2", "L2(101)", 
  "L2(109)", "L2(113)", "L2(121)", "L2(125)", "L2(13)", "L2(16)", 
  "L2(17)", "L2(25)", "L2(29)", "L2(32)", "L2(37)", "L2(41)", 
  "L2(49)", "L2(53)", "L2(61)", "L2(64)", "L2(73)", "L2(8)", 
  "L2(81)", "L2(89)", "L2(97)", "O7(5)", "O8+(2)", "O8+(3)", 
  "O8+(7)", "O8-(2)", "O8-(3)", "O9(3)", "S10(2)", "S12(2)", "S4(4)", 
  "S4(5)", "S4(8)", "S4(9)", "S6(2)", "S6(4)", "S6(5)", "S8(2)" ]
# But found:
[ "2.Alt(2)", "3D4(2)", "A10", "A14", "A5", "A6", "Alt(10)", 
  "Alt(14)", "Alt(5)", "Alt(6)", "J1", "J2", "L2(101)", "L2(109)", 
  "L2(113)", "L2(121)", "L2(125)", "L2(13)", "L2(16)", "L2(17)", 
  "L2(25)", "L2(29)", "L2(32)", "L2(37)", "L2(41)", "L2(49)", 
  "L2(53)", "L2(61)", "L2(64)", "L2(73)", "L2(8)", "L2(81)", 
  "L2(89)", "L2(97)", "O7(5)", "O8+(2)", "O8+(3)", "O8+(7)", 
  "O8-(2)", "O8-(3)", "O9(3)", "S10(2)", "S12(2)", "S4(4)", "S4(5)", 
  "S4(8)", "S4(9)", "S6(2)", "S6(4)", "S6(5)", "S8(2)", "Sym(2)" ]
########
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 153:
# Input is:
for i in [ 2, 3, 5, 7, 11, 13 ] do
     Print( i, "\n",
       AllCharacterTableNames( IsSimple, true, IsAbelian, false,
           IsDuplicateTable, false, isppure( i ), true ),
       "\n" );
   od;
# Expected output:
2
[ "A5", "A6", "L2(16)", "L2(17)", "L2(31)", "L2(32)", "L2(64)", 
  "L2(8)", "L3(2)", "L3(4)", "Sz(32)", "Sz(8)" ]
3
[ "A5", "A6", "L2(17)", "L2(19)", "L2(27)", "L2(53)", "L2(8)", 
  "L2(81)", "L3(2)", "L3(4)" ]
5
[ "A5", "A6", "A7", "L2(11)", "L2(125)", "L2(25)", "L2(49)", "L3(4)", 
  "M11", "M22", "S4(7)", "Sz(32)", "Sz(8)", "U4(2)", "U4(3)" ]
7
[ "A7", "A8", "A9", "G2(3)", "HS", "J1", "J2", "L2(13)", "L2(49)", 
  "L2(8)", "L2(97)", "L3(2)", "L3(4)", "M22", "O8+(2)", "S6(2)", 
  "Sz(8)", "U3(3)", "U3(5)", "U4(3)", "U6(2)" ]
11
[ "A11", "A12", "A13", "Co2", "HS", "J1", "L2(11)", "L2(121)", 
  "L2(23)", "L5(3)", "M11", "M12", "M22", "M23", "M24", "McL", "ON", 
  "Suz", "U5(2)", "U6(2)" ]
13
[ "2E6(2)", "2F4(2)'", "3D4(2)", "A13", "A14", "A15", "F4(2)", 
  "Fi22", "G2(3)", "G2(4)", "L2(13)", "L2(25)", "L2(27)", "L3(3)", 
  "L4(3)", "O7(3)", "O8+(3)", "S4(5)", "S6(3)", "Suz", "Sz(8)", 
  "U3(4)" ]
# But found:
2
[ "A5", "A6", "Alt(5)", "Alt(6)", "L2(16)", "L2(17)", "L2(31)", 
  "L2(32)", "L2(64)", "L2(8)", "L3(2)", "L3(4)", "Sz(32)", "Sz(8)" ]
3
[ "A5", "A6", "Alt(5)", "Alt(6)", "L2(17)", "L2(19)", "L2(27)", 
  "L2(53)", "L2(8)", "L2(81)", "L3(2)", "L3(4)" ]
5
[ "A5", "A6", "A7", "Alt(5)", "Alt(6)", "Alt(7)", "L2(11)", 
  "L2(125)", "L2(25)", "L2(49)", "L3(4)", "M11", "M22", "S4(7)", 
  "Sz(32)", "Sz(8)", "U4(2)", "U4(3)" ]
7
[ "A7", "A8", "A9", "Alt(7)", "Alt(8)", "Alt(9)", "G2(3)", "HS", 
  "J1", "J2", "L2(13)", "L2(49)", "L2(8)", "L2(97)", "L3(2)", 
  "L3(4)", "M22", "O8+(2)", "S6(2)", "Sz(8)", "U3(3)", "U3(5)", 
  "U4(3)", "U6(2)" ]
11
[ "A11", "A12", "A13", "Alt(11)", "Alt(12)", "Alt(13)", "Co2", "HS", 
  "J1", "L2(11)", "L2(121)", "L2(23)", "L5(3)", "M11", "M12", "M22", 
  "M23", "M24", "McL", "ON", "Suz", "U5(2)", "U6(2)" ]
13
[ "2E6(2)", "2F4(2)'", "3D4(2)", "A13", "A14", "A15", "Alt(13)", 
  "Alt(14)", "Alt(15)", "F4(2)", "Fi22", "G2(3)", "G2(4)", "L2(13)", 
  "L2(25)", "L2(27)", "L3(3)", "L4(3)", "O7(3)", "O8+(3)", "S4(5)", 
  "S6(3)", "Suz", "Sz(8)", "U3(4)" ]
########
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 294:
# Input is:
ind:= Induced( m, t, [ infl ] );
# Expected output:
[ ClassFunction( CharacterTable( "Fi23" ), 
    [ 207766624665600, 0, 0, 0, 603832320, 127567872, 6635520, 
      663552, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0, 0, 0, 0 ] ) ]
# But found:
[ ClassFunction( CharacterTable( "Fi23" ),
  [ 207766624665600, 0, 0, 0, 603832320, 127567872, 6635520, 663552, 
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
      0, 0, 0, 0, 0, 0 ] ) ]
########
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 334:
# Input is:
AllCharacterTableNames( IsSimple, true, IsAbelian, false,
                           Size, [ 1 .. 100 ] );
# Expected output:
[ "A5", "A6M2" ]
# But found:
[ "A5", "A6M2", "Alt(5)" ]
########
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 339:
# Input is:
AllCharacterTableNames( Size, IsPrimeInt );
# Expected output:
[ "C3" ]
# But found:
[ "2.Alt(2)", "Alt(3)", "C3", "Sym(2)" ]
########
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 366:
# Input is:
NamesOfEquivalentLibraryCharacterTables( tbl );
# Expected output:
[ "A5", "A6M2" ]
# But found:
[ "A5", "A6M2", "Alt(5)" ]
########
########> Diff in /usr/lib/gap/pkg/ctbllib/tst/docxpl.tst, line 479:
# Input is:
UnipotentCharacter( tbl, [ [ 0, 1 ], [ 2 ] ] );
# Expected output:
Character( CharacterTable( "U4(2).2" ), 
[ 15, 7, 3, -3, 0, 3, -1, 1, 0, 1, -2, 1, 0, 0, -1, 5, 1, 3, -1, 2, 
  -1, 1, -1, 0, 0 ] )
# But found:
Character( CharacterTable( "U4(2).2" ),
 [ 15, 7, 3, -3, 0, 3, -1, 1, 0, 1, -2, 1, 0, 0, -1, 5, 1, 3, -1, 2, 
  -1, 1, -1, 0, 0 ] )
########
Input file: docxpl.tst
GAP4stones: 45
gap>

If I press ^D at this point build continues.

Comment 4 Jerry James 2015-01-30 17:15:03 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> Input file: docxpl.tst
> GAP4stones: 45
> gap>
> 
> If I press ^D at this point build continues.

Yes, under mock, the build terminates properly, but with rpmbuild, it sits there and waits for more input.  Redirecting from /dev/null fixes the problem for me.  New package:

Spec URL: https://jjames.fedorapeople.org/gap-pkg-ctbllib/gap-pkg-ctbllib.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-ctbllib/gap-pkg-ctbllib-1.2.2-3.fc22.src.rpm

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-01-30 18:21:27 UTC
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /var/tmp/1185020-gap-pkg-ctbllib/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
Done, although without much sucess :) 

[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-ctbllib-1.2.2-3.fc22.noarch.rpm
          gap-pkg-ctbllib-1.2.2-3.fc22.src.rpm
gap-pkg-ctbllib.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

OK.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
gap-pkg-ctbllib (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core



Provides
--------
gap-pkg-ctbllib:
    gap-character-tables
    gap-pkg-ctbllib



Source checksums
----------------
http://www.math.rwth-aachen.de/~Thomas.Breuer/ctbllib/ctbllib-1r2p2.tar.gz :
  CHECKSUM(SHA256) this package     : 0a2da76d162d98d04cb280f6d5811cc1ff9868e3e3b6eea0b76a9cca257faf76
  CHECKSUM(SHA256) upstream package : 0a2da76d162d98d04cb280f6d5811cc1ff9868e3e3b6eea0b76a9cca257faf76


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1185020
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Package is APPROVED.

Comment 6 Jerry James 2015-01-30 18:30:25 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-ctbllib
Short Description: GAP Character Table Library
Upstream URL: http://www.math.rwth-aachen.de/~Thomas.Breuer/ctbllib/
Owners: jjames
Branches: f21
InitialCC:

Comment 7 Gwyn Ciesla 2015-01-30 18:53:19 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-01-30 23:28:08 UTC
gap-pkg-ctbllib-1.2.2-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gap-pkg-ctbllib-1.2.2-3.fc21

Comment 9 Fedora Update System 2015-02-01 00:23:36 UTC
gap-pkg-ctbllib-1.2.2-3.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2015-02-09 05:27:59 UTC
gap-pkg-ctbllib-1.2.2-3.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.